OpenJDK shows warning on puppetserver after installation

07/18/2018 03:26 PM - Daniel Lobato Garcia

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Foreman modules   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link: 1601462 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1601462

Description of problem:

OpenJDK configuration gives error when not expected.

How reproducible:

upgraded to puppet4, running puppetserver process.

Steps to Reproduce:

1. upgrade to 1.16

2. migrate to puppet4

3. restart puppetserver process

Actual results:

[root@satellite62 ~]# systemctl status puppetserver -l

● puppetserver.service - puppetserver Service

Loaded: loaded (/usr/lib/systemd/system/puppetserver.service; enabled; vendor preset: disabled)

Active: active (running) since Mon 2018-07-16 14:34:18 CEST; 1min 0s ago

Process: 1194 ExecStart=/opt/puppetlabs/server/apps/puppetserver/bin/puppetserver start (code=exited, status=0/SUCCESS)

Main PID: 1293 (java)

CGroup: /system.slice/puppetserver.service

└─1293 /usr/bin/java -Xms2G -Xmx2G -XX:MaxPermSize=256m -Djava.security.egd=/dev/urandom -XX:OnOutOfMemoryError=kill

-9 %p -cp /opt/puppetlabs/server/apps/puppetserver/puppet-server-release.jar clojure.main -m puppetlabs.trapperkeeper.main

--config /etc/puppetlabs/puppetserver/conf.d --bootstrap-config

/etc/puppetlabs/puppetserver/services.d/,/opt/puppetlabs/server/apps/puppetserver/config/services.d/ --restart-file

/opt/puppetlabs/server/data/puppetserver/restartcounter

Jul 16 14:32:11 satellite62.mobile.mth systemd

1

: Starting puppetserver Service...

Jul 16 14:32:12 satellite62.mobile.mth puppetserver

1194

: OpenJDK 64-Bit Server VM warning: ignoring option MaxPermSize=256m;

support was removed in 8.0

Jul 16 14:34:18 satellite62.mobile.mth systemd

1

: Started puppetserver Service.

Expected results:

[root@satellite62 ~]# systemctl status puppetserver -l

● puppetserver.service - puppetserver Service

Loaded: loaded (/usr/lib/systemd/system/puppetserver.service; enabled; vendor preset: disabled)

Active: active (running) since Mon 2018-07-16 14:34:18 CEST; 1min 0s ago

Process: 1194 ExecStart=/opt/puppetlabs/server/apps/puppetserver/bin/puppetserver start (code=exited, status=0/SUCCESS)

Main PID: 1293 (java)

CGroup: /system.slice/puppetserver.service

└─1293 /usr/bin/java -Xms2G -Xmx2G -XX:MaxPermSize=256m -Djava.security.egd=/dev/urandom -XX:OnOutOfMemoryError=kill

-9 %p -cp /opt/puppetlabs/server/apps/puppetserver/puppet-server-release.jar clojure.main -m puppetlabs.trapperkeeper.main

--config /etc/puppetlabs/puppetserver/conf.d --bootstrap-config

/etc/puppetlabs/puppetserver/services.d/,/opt/puppetlabs/server/apps/puppetserver/config/services.d/ --restart-file

/opt/puppetlabs/server/data/puppetserver/restartcounter
Jul 16 14:32:11 satellite62.mobile.mth systemd

1

: Starting puppetserver Service...

Jul 16 14:34:18 satellite62.mobile.mth systemd

1

: Started puppetserver Service.

Additional info:

Please see diff of the output.

History

#1 - 07/18/2018 03:46 PM - Ewoud Kohl van Wijngaarden

- Subject changed from OpenJDK shows warning on puppetserver after installation

 to OpenJDK shows warning on puppetserver after installation

- Category set to Foreman modules

- Status changed from New to Rejected

It can be disabled by passing in --puppet-server-jvm-extra-args ''

We already do this automatically when Puppet 5 is detected because it requires JRE 8. With Puppet 4 you can still run with JRE 7 so we opt for the

safe warning vs potentially broken code.
